<?php
ob_start();
include 'config.php';
include('lib/jdf.php');
//======================================================
function bot($method,$datas=[]){
$ch = curl_init();
curl_setopt($ch,CURLOPT_URL,'https://api.telegram.org/bot'.API_KEY.'/'.$method );
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
curl_setopt($ch,CURLOPT_POSTFIELDS,$datas);
return json_decode(curl_exec($ch));
}
//======================================================
$update = json_decode(file_get_contents('php://input'));
if(isset($update->message)){
$message = $update->message;
$message_id = $message->message_id;
$text = convert($message->text);
$chat_id = $message->chat->id;
$tc = $message->chat->type;
$first_name = $message->from->first_name;
$from_id = $message->from->id;
$phone_id = $update->message->contact->user_id;
$contactnum = $update->message->contact->phone_number;
$contact = $message->contact;
$contactid = $contact->user_id;
// databse
$user = mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '$from_id' LIMIT 1"));
$block = mysqli_query($connect,"SELECT * FROM `block` WHERE `id` = '$from_id' LIMIT 1");
}
if(isset($update->callback_query)){
$callback_query = $update->callback_query;
$callback_query_id = $callback_query->id;
$data = $callback_query->data;
$fromid = $callback_query->from->id;
$messageid = $callback_query->message->message_id;
$chatid = $callback_query->message->chat->id;
// databse
$user = mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '$fromid' LIMIT 1"));
$block = mysqli_query($connect,"SELECT * FROM `block` WHERE `id` = '$fromid' LIMIT 1");
}
if(isset($update->channel_post)){
$channel_post = $update->channel_post;
$channel_post_message_id = $channel_post->message_id;
$channel_post_chat_id = $channel_post->chat->id;
$channel_post_chat_username = $channel_post->chat->username;
$channel_post_chat_type = $channel_post->chat->type;
// databse
$user = mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `channel` WHERE `channel` = '$channel_post_chat_id' LIMIT 1"));
}
//=========================
$time11 = date('H:i:s');
$timeji = str_replace(['۰','۱','۲','۳','۴','۵','۶','۷','۸','۹'],range(0,9),$time11);
$dateji = gregorian_to_jalali(date('Y'), date('m'), date('d'), '/');
//======================================================
//======================================================
function curl($url){
$ch = curl_init();
curl_setopt($ch,CURLOPT_URL, $url);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
return json_decode(curl_exec($ch));
}
function convert($string) {
$persian = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
$arabic = ['٩', '٨', '٧', '٦', '٥', '٤', '٣', '٢', '١','٠'];
$num = range(0, 9);
$convertedPersianNums = str_replace($persian, $num, $string);
$englishNumbersOnly = str_replace($arabic, $num, $convertedPersianNums);
return $englishNumbersOnly;
}
//======================================================
function pay($Amount,$coin){
global $from_id;
$client = new SoapClient('https://www.zarinpal.com/pg/services/WebGate/wsdl',['encoding' => 'UTF-8']);
$result = $client->PaymentRequest([
'MerchantID' => '749038ae-1274-4bb6-bdea-c2a00a378096', // مرچند کد زرین پال
'Amount' => $Amount,
'Description' => "ربات سین سرویس | سکه $coin عدد | قیمت $Amount تومان | کاربر $from_id",
'Email' => 'mehranvo20@gmail.com', // ایمیل 
'Mobile' => '09355207248', // موبایل
'CallbackURL' => "http://bot.createseven.ir/RocetSeenBot/back.php?id=".$from_id."&amount=".$Amount."&coin=".$coin]);//ادرس سایت#########################
if($result->Status == 100){
return "https://www.zarinpal.com/pg/StartPay/".$result->Authority."/ZarinGate";
}
}
//======================================================
$home = json_encode([
'keyboard'=>[
[['text'=>'👁‍🗨 سفارش بازدید'],['text'=>'❤️ لایک و رأی']],
[['text'=>'🚀 بازدید خودکار'],['text'=>'👁 بازدید همزمان']],
[['text'=>'📊 سفارشات من'],['text'=>'➕ افزایش موجودی'],['text'=>'🔐 حساب کاربری']],
[['text'=>'📬 پشتیبانی'],['text'=>'🛍 تراکنش ها'],['text'=>'↗️ انتقال']],
],
  'resize_keyboard'=>true,
]);

$home_Dev = json_encode([
'keyboard'=>[
[['text'=>'👁‍🗨 سفارش بازدید'],['text'=>'❤️ لایک و رأی']],
[['text'=>'🚀 بازدید خودکار'],['text'=>'👁 بازدید همزمان']],
[['text'=>'📊 سفارشات من'],['text'=>'➕ افزایش موجودی'],['text'=>'🔐 حساب کاربری']],
[['text'=>'📬 پشتیبانی'],['text'=>'🛍 تراکنش ها'],['text'=>'↗️ انتقال']],
[['text'=>'👤 پنل مدیریت 👤']],
],
  'resize_keyboard'=>true,
]);
if(in_array($from_id,$admin)){
$home = $home_Dev;
}
$back = json_encode([
'keyboard'=>[
[['text'=>'انصراف']],
],
 'resize_keyboard'=>true,
]);
$speed = json_encode([
'keyboard'=>[
[['text'=>'حداکثر سرعت'],['text'=>'تنظیم سرعت']],
[['text'=>'سریع'],['text'=>'متوسط'],['text'=>'آهسته']],
[['text'=>'انصراف']],
],
 'resize_keyboard'=>true,
]);
$speedlike = json_encode([
'keyboard'=>[
[['text'=>'حداکثر سرعت']],
[['text'=>'هر 2 دقیقه 1 لایک'],['text'=>'هر 5 دقیقه 1 لایک']],
[['text'=>'هر 15 دقیقه 1 لایک'],['text'=>'هر 30 دقیقه 1 لایک']],
[['text'=>'🔙 بازگشت']],
],
 'resize_keyboard'=>true,
]);
$start = "🌟 با $botname در کنار شما هستیم تا کمک کنیم به صورت رایگان بازدید پست های تلگرامی شمارا افزایش دهیم .
👇🏻 برای ادامه یکی از دکمه های زیر را انتخاب نمایید";
$gift = "🎊 با تشکر از عضویت شما ، $_gift تومان موجودی به صورت هدیه به حسابتان افزوده شد .";
//======================================================
if (mysqli_num_rows($block) > 0) exit();
if (file_exists('bot') and !in_array($from_id, $admin))  
return bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"📍 ربات جهت بروزرسانی خاموش است ! لطفا پیام مجدد ارسال نکنید.",
]);
//======================================================
elseif(preg_match('/^(\/start) (.*)/',$text , $prameter) and $user['id'] != true){
$connect->query("INSERT INTO `user` (`id` , `coin` , `inviter`) VALUES ('$from_id' , '$_gift' , '$prameter[2]')");
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>$start,
'reply_to_message_id'=>$message_id,
'reply_markup'=>$home
]);
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>$gift,
]);
$name = str_replace(['`','*','_','[',']','(',')'],null,$first_name);
$user = mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '$prameter[2]' LIMIT 1"));
$member = $user['member'] + 1;
$coin = $user['coin'] + $_member;
bot('sendmessage',[
'chat_id'=>$prameter[2],
'text'=>"🌟 تبریک ! کاربر [$name](tg://user?id=$from_id) با استفاده از لینک دعوت شما وارد ربات شده

⬆️ مبلغ $_member تومان به موجودی شما اضافه شد 
☑️ در صورت خرید توسط کسانی که شما دعوت میکنید $_porsant درصد نیز به شما هدیه تعلق میگیرد

👥 تعداد زیر مجموعه ها : $member
💰 موجودی حساب شما : $coin تومان",
'parse_mode'=>'Markdown',
  ]);
$connect->query("UPDATE `user` SET `member` = '$member' , `coin` = '$coin' WHERE `id` = '$prameter[2]' LIMIT 1");
}
//======================================================
elseif($text == 'انصراف'){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⬅️ به منوی اصلی بازگشتید

$start",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$home
]);
$connect->query("UPDATE `user` SET `step` = 'none',`com` = '' WHERE `id` = '$from_id' LIMIT 1");
}
//======================================================
elseif ($text == '📍 ربات روشن' and in_array($from_id, $admin)){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"📍 ربات روشن شد",
]);
unlink('bot');  
$connect->query("UPDATE user SET step = 'none' WHERE id = '$from_id' LIMIT 1");
}
//====================================
elseif ($text == '📍 ربات خاموش' and in_array($from_id, $admin)){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"📍 ربات خاموش شد",
]);
touch('bot');    
$connect->query("UPDATE user SET step = 'none' WHERE id = '$from_id' LIMIT 1");
}
//=====================================================
elseif($text == '👁 بازدید همزمان'){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"این بخش به زودی فعال خواهد شد...",
'parse_mode'=>'HTML',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$home,
]);
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
}
//======================================================
elseif($user['step'] == 'sendcoin'and preg_match("/^(-){0,1}([0-9]+)(,[0-9][0-9][0-9])*([.][0-9]){0,1}([0-9]*)$/",$text) == 1){
if($user['coin'] >= $text and $text > 100 and strpos($text,'+') == false and strpos($text,'-') == false and strpos($text,'*') == false and strpos($text,'/') == false and strpos($text,'÷') == false and strpos($text,'×') == false){
$coin = $user['coin'] - $text;
$connect->query("UPDATE `user` SET `step` = 'none' , `coin` = '$coin' WHERE `id` = '$from_id' LIMIT 1");
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✅ انتقال موجودی با موفقیت انجام شد

↗️ موجودی انتقال داده شده : $text
💰 موجودی جدید شما : $coin تومان
👤 کاربر مورد نظر : [{$user['data']}](tg://user?id={$user['data']})",
'parse_mode'=>'Markdown',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$home
]);
$userdata = mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '{$user['data']}' LIMIT 1"));
$coin = $userdata['coin'] + $text;
bot('sendmessage',[
'chat_id'=>$user['data'],
'text'=>"✅ $text تومان موجودی از طرف [$from_id](tg://user?id=$from_id) برای شما انتقال داده شد .
💰 موجودی جدید شما : $coin تومان",
'parse_mode'=>'Markdown',
]);
$connect->query("UPDATE `user` SET `coin` = '$coin' WHERE `id` = '{$user['data']}' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، مبلغ وارد شده نادرست یا از موجودی حساب شما بیشتر است

👇🏻 مبلغ مورد نظر جهت انتقال را به تومان وارد نمایید
💰 موجودی حساب شما {$user['coin']} تومان است",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
//======================================================
elseif ($user['step'] == 'seenpost'){
if($message->audio != true){
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
if($message->forward_from_chat == true){
$id = bot('ForwardMessage',[
'chat_id'=>"@$channelorder",
'from_chat_id'=>$from_id,
'message_id'=>$message_id,
])->result->message_id;
$link = "https://t.me/$channelorder/$id";
}else{
$exlink = explode('/', $text);
$channelorder = $exlink[count($exlink) - 2];
$id = end($exlink);
$link = "https://t.me/$channelorder/$id";
}
$explode = explode('^',$user['data']);
$result = curl("$webapi/api.php?apikey=$apikey&type=view&count=$explode[0]&seenstart=$explode[0]&speed=$explode[3]&period=$explode[2]&channel=$channelorder&id=$id");
if($result->result== 'ok'){
$amount = $explode[0] * $_seen;
$connect->query("UPDATE `user` SET `coin` = `coin` - $amount WHERE `id` = '$from_id' LIMIT 1");  
$startorder = ($explode[1] == 0)?'فوری':"بعد از $explode[1] دقیقه";
$speed = ($explode[2] == 0)?'حداکثر سرعت':"هر $explode[2] دقیقه $explode[3] بازدید";
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"☑️ سفارش بازدید با شماره پیگیری {$result->order} ثبت شد .
⚡️ سرعت تکمیل : $speed
⏱ زمان شروع سفارش : $startorder
💰 هزینه سفارش : $amount تومان
👁‍🗨 تعداد بازدید درخواستی : $explode[0]
👁 بازدید فعلی : {$result->seenstart} بازدید",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$home
]);
$keygenreat=file_get_contents("data/$from_id/apikey.txt");
$keyamount=file_get_contents("keys/$keygenreat");
bot('sendmessage',[
'chat_id'=>"@$varizi",
'text'=>"
🔥=================🔥
☑️ شماره پیگیری {$result->order}

⚡️ سرعت تکمیل : $speed
⏱ زمان شروع سفارش : $startorder

💰 هزینه سفارش : $amount تومان
👁‍🗨 تعداد بازدید درخواستی : $explode[0]

👁 بازدید فعلی : {$result->seenstart}
🔚بازدید تمام شده:{$result->seenend}

🆔 لینک : $link

ایدی فرد:$chat_id
مقدار مانده شارژ حساب فرد: {$user['coin']}

🔥===========🔥
",
'disable_web_page_preview' => true,
]);
$connect->query("INSERT INTO `orderseen` (`key` , `id` , `amount` , `speed` , `view` , `link` , `time`) VALUES ('{$result->order}' ,'$from_id' , '$amount' , '$speed' , '$explode[0]' , '$link' , '".jdate('j F')." در ساعت ".jdate('H:i:s')."')");
}else{
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"
❗️ خطا ، پست شما نامعتبر است یا مشکلی در انجام سفارش ایجاد شده است

⬅️ پست مورد نظر را از کانال جهت افزایش بازدید , به ربات #فوروارد نمایید
یا #لینک پست مورد نظر را ارسال نمایید ⬅️

👮🏻 در صورت بروز هرگونه مشکل و یا انجام نشدن سفارش کافیست با پشتیبانی در تماس باشید .",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'seenpost' WHERE `id` = '$from_id' LIMIT 1");
}
}else
bot('sendphoto',[
'chat_id'=>$chat_id,
'photo'=>'logo.png', // لینک تصویر شما
'caption'=>'❗️ پست ارسال شده معتبر نیست

🎵 در صورتی که مایلید پست موسیقی را ثبت کنید، توجه داشته باشید به جای فوروارد، لینک پست مورد نظر را ارسال کنید .
⚠️ توجه کنید که در صورتی که کپی کردن لینک وجود ندارد , باید از تلگرام های رسمی و متعبر استفاده کنید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
} 
//======================================================
elseif(bot('getChatMember',['chat_id'=>"@$channel",'user_id'=>$from_id])->result->status == 'left'){
 bot('sendmessage',[
'chat_id'=>$chat_id,
"text"=>"☑️ برای استفاده از ربات « $botname » ابتدا باید وارد کانال  « $channelname » شوید
❗️ برای دریافت آموزش ها ،  اطلاعیه ها و گزارشات شما باید عضو کانال ربات شوید

📣 @$channel

👇 بعد از عضویت در کانال روی دکمه « ✅ تایید عضویت » بزنید 👇",
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'inline_keyboard'=>[
[['text'=>'✅ تایید عضویت','callback_data'=>'join']],
]])
]);
if($user['id'] != true) {
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>$gift,
]);
$connect->query("INSERT INTO `user` (`id` , `coin`) VALUES ('$from_id' , '$_gift')");
}
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
}
//======================================================
elseif($text == '👁‍🗨 سفارش بازدید'){
if($user['coin'] >= 5){
$max = floor($user['coin'] / $_seen);
$bazdid = $_seen * 1000;
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"👁‍ تعداد بازدید دلخواه را به صورت عدد بین 10 الی 100,000 وارد نمایید 👇🏻

❗️ موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max بازدید را سفارش دهید .
• هزینه هر 1000 بازدید برابر با $bazdid تومان است",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back,
]);
$connect->query("UPDATE `user` SET `step` = 'seenamount' WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ موجودی حساب شما کافی نمیباشد ، برای انجام سفارش نیاز به حداقل 5 تومان موجودی دارید .
💰 موجودی حساب شما : {$user['coin']} تومان",
'reply_to_message_id'=>$message_id,
]);
}
//======================== order like =====================//
elseif($text == '❤️ لایک و رأی'){
if($user['coin'] >= $_like){
$max = floor($user['coin'] / $_like);
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"👍🏻 تعداد لایک (رأی) مورد نظر را به صورت عددی بین 1 الی 70,000 وارد کنید 👇🏻

• با استفاده از این بخش میتوانید برای تمامی پستها ، لایک و رأی سفارش دهید به شرط آنکه پست در کانال عمومی باشد و یا یک نظر سنجی (Poll) باشد .

❗️ موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max لایک را سفارش دهید
🎁 با ثبت سفارش لایک ، پست مربوطه به همان مقدار بازدید هم خواهد خورد
• هزینه هر عدد لایک برابر با $_like تومان است",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back,
]);
$connect->query("UPDATE `user` SET `step` = 'likeamount' WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ موجودی حساب شما کافی نمیباشد ، برای انجام سفارش لایک نیاز به حداقل $_like تومان موجودی دارید .
💰 موجودی حساب شما : {$user['coin']} تومان",
'reply_to_message_id'=>$message_id,
]);
}

//======================================================
elseif($text == '🚀 بازدید خودکار'){
$orderchannel = mysqli_num_rows(mysqli_query($connect,"select `id` from `channel` WHERE `id` = '$from_id'"));
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⬆️ با استفاده از این بخش میتوانید ربات را به گونه ای تنظیم نمایید تا به محض انتشار پست جدید در کانال، فرایند افزایش بازدید آن به طور خودکار آغاز شود .

🎯 تعداد کانال های ثبت شده : $orderchannel
👇🏻 جهت ثبت یا حذف کانال میتوانید از دکمه های زیر استفاده کنید",
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>'🎯 افزودن کانال جدید'],['text'=>'📢 کانال های ثبت شده']],
[['text'=>'انصراف']],
],
'resize_keyboard'=>true,
]),
]);
}
//======================================================
elseif($text == '📢 کانال های ثبت شده'){
$order = mysqli_query($connect,"SELECT * FROM `channel` WHERE `id` = '$from_id'");
if(mysqli_num_rows($order) > 0){
while($row = mysqli_fetch_assoc($order)){
$explode = explode('^',$row['speed']);
$start = ($explode[0] == 0)?'فوری':"بعد از $explode[0] دقیقه";
$speed = ($explode[1] == 0)?'حداکثر سرعت':"هر $explode[1] دقیقه $explode[2] بازدید";
$title = bot('getchat',['chat_id'=>$row['channel']])->result->title;
$result = $result."✅ نام کانال : $title\n👁‍🗨 تعداد بازدید خودکار : {$row['view']}\n⏱ زمان شروع سفارش : $start\n⚡️ سرعت انجام سفارش : $speed\n❌ برای حذف کانال /del_".abs($row['channel'])."\n━ ━ ━\n";
}
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"👇🏻 لیست کانالهای ثبت شده توسط شما
❗️ توجه داشته باشید جزئیات سفارشات ثبت شده در پیگیری سفارشات در دسترس است

$result",
'reply_to_message_id'=>$message_id,
]);
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ شما تا کنون کانالی را جهت بازدید خودکار ثبت نکرده اید
👈🏻 برای شروع کافیست از دکمه "🎯 افزودن کانال جدید" استفاده نمایید و مراحل را ادامه دهید .',
'reply_to_message_id'=>$message_id,
]);
}
//======================================================
elseif($text == '🎯 افزودن کانال جدید'){
if($user['coin'] >= 10){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✅ برای شروع بازدید خودکار ، لطفا ربات @$usernamebot را در کانال ادمین کرده و سپس یک پست از کانال را به ربات فوروارد نمایید
 
❗️ چرا باید ادمین کنید؟ ربات تنها میتواند در صورتی سفارش خودکار رو انجام دهد که در کانال ادمین باشد .
",
'parse_mode'=>'HTML',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back,
]);
$connect->query("UPDATE `user` SET `step` = 'setchannel' WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ موجودی حساب شما کافی نمیباشد ، برای انجام سفارش نیاز به حداقل 10 تومان موجودی دارید .
💰 موجودی حساب شما : {$user['coin']} تومان",
'reply_to_message_id'=>$message_id,
]);
}
elseif(preg_match('/^\/del_(.*)/', $text , $match)){
if(mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `channel` WHERE `id` = '$from_id' AND `channel` = '-$match[1]' LIMIT 1")) == true){
$title = bot('getchat',['chat_id'=>-$match[1]])->result->title;
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"☑️ کاناله $title با موفقیت از لیست بازدید خودکار حذف شد .",
'reply_to_message_id'=>$message_id,
]);
$connect->query("DELETE FROM `channel` WHERE `channel` = '-$match[1]' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❌ خطا ، کانال در لیست بازدید های خودکار وجود ندارد',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$home,
]);
}
//========================== // order list // ==============================

//======================================================
elseif($text == '📊 سفارشات من'){
$order = mysqli_query($connect,"SELECT * FROM `orderseen` WHERE `id` = '$from_id' ORDER BY `key` DESC LIMIT 10");
if(mysqli_num_rows($order) > 0){
while($row = mysqli_fetch_assoc($order)){
$stats = ($row['stats'] == 1)?'تکمیل شده':'تکمیل نشده !';
$result = $result."🆔 شناسه سفارش 👈🏻 {$row['key']}\n⚡️ سرعت تکمیل : {$row['speed']}\n⏱ زمان : {$row['time']}\n💰 هزینه سفارش : {$row['amount']} تومان\n👁‍🗨 تعداد بازدید درخواستی : {$row['view']}\n✅ وضعیت : $stats\n━ ━ ━\n";
}
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"🛍 تراکنش ها لیست ده سفارش بازدید اخیر شما

$result",
'reply_to_message_id'=>$message_id,
]);
}else
 bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ شما تا کنون سفارش بازدید ثبت نکرده اید
👈🏻 برای شروع کافیست از دکمه "👁‍🗨 سفارش بازدید" در منوی اصلی استفاده نمایید و مراحل را ادامه دهید .',
'reply_to_message_id'=>$message_id,
]);
} 
//========================== // charge amount // ==============================
elseif($text == '➕ افزایش موجودی'){
$allbuy = mysqli_num_rows(mysqli_query($connect,"select `id` from `buy` WHERE `id` = '$from_id'"));
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"👇🏻 یکی از بخش های زیر را جهت افزایش موجودی انتخاب کنید

💰 موجودی حساب شما : {$user['coin']} تومان
🛍 تعداد خرید ها : $allbuy 

⬆️ با دعوت دوستان خود به ربات با لینک اختصاصی خود میتوانید به ازای هر نفر $_member تومان موجودی دریافت کنید
ℹ️ جهت افزایش موجودی به مبلغ دلخواه به صورت آفلاین یا آنلاین میتوانید از خرید موجودی استفاده کنید",
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>'🗣 دعوت دیگران'],['text'=>'💳 خرید موجودی']],
[['text'=>'انصراف']],
],
'resize_keyboard'=>true,
])
]);
}
//=====================mamad=================================
elseif($text == '💳 خرید موجودی'){
if($user['phone'] !==null){
$bazdid = $_seen * 1000;
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"👇🏻 برای افزایش موجودی حساب مبلغ موردنظر خود را به تومان وارد نمایید

❗️ توجه کنید که مبلغ را به عدد وارد کنید و حداقل میتوانید 1000 و حداکثر 500000 تومان حساب خود را شارژ کنید

👈🏻  تعرفه هر 1000 بازدید 👁‍🗨 $bazdid تومان ",
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>'انصراف'],['text'=>'💳 پرداخت آفلاین']],
],
'resize_keyboard'=>true,
])
]);
$connect->query("UPDATE `user` SET `step` = 'pay' WHERE `id` = '$from_id' LIMIT 1");
}
else{
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"🔐 در راستای افزایش هر چه بیشتر امنیت در پرداخت ها، لطفا شماره همراه خود را از طریق دکمه زیر ارسال نمایید.

❗️ شماره ارسالی نزد ما محفوظ است و هیچکس امکان دسترسی به آن را ندارد.",
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>'🔰 تأیید و ارسال شماره','request_contact'=>true]],
[['text'=>'انصراف'],['text'=>'💳 پرداخت آفلاین']],

],
'resize_keyboard'=>true,
])
]);
}
}

elseif($chat_id==$phone_id and $update->message->contact->phone_number){
if(substr($contactnum,0,-10) == "98"){
$code=rand(10000,100000);
$munme=substr($contactnum,-10);
//======
file_get_contents("https://api.codebazan.ir/sms/api.php?type=sms&apikey=$smsapikey&code=$code&phone=0$munme");

//========
bot('sendmessage',[
'chat_id'=>$chat_id,
 'text'=>"☑️ کد فعالسازی ربات به حساب شما ارسال شده است، آن را اینجا وارد نمایید.

شماره شما:  0$munme

در صورتی که کد را دریافت نکرده اید مراحل را دوباره تکرار کنید
یا با پشتیبانی در ارتباط باشید.
$usernamesup
",
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>'🗣 دعوت دیگران'],['text'=>'💳 پرداخت آفلاین']],
[['text'=>'انصراف']],
],
'resize_keyboard'=>true,
])
]);
$connect->query("UPDATE `user` SET `step` = '$code',`com` = '0$munme' WHERE `id` = '$from_id' LIMIT 1");
}else{
bot('sendmessage',[
'chat_id'=>$chat_id,
 'text'=>"⚠️
فقط شماره های ایرانی قادر به استفاده از این سرویس هستند

شماره شما: $contactnum
توجه⚠️
درصورت نیاز میتوانید با پرداخت انلاین فقط و فقط از طریق عابر بانک اقدام به شارژ پنل نمایید
درصورتی که با همراه بانک پرداخت انجام شود برای تایید نیاز به ارسال عکس کارت ملی و نام روی کارت بانکی میباشد.",
]);
}
}

//================
elseif(strpos($user['com'],'09')!==false){
if ($text==$user['step']) {
$connect->query("UPDATE `user` SET `phone` = '{$user['com']}' WHERE `id` = '$from_id' LIMIT 1");
bot('sendmessage',[
'chat_id'=>$chat_id,
 'text'=>"✅ کد وارد شده شما کاملا صحیح بوده و حساب شما فعال گشت!",
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>'🗣 دعوت دیگران'],['text'=>'💳 خرید موجودی']],
[['text'=>'انصراف']],
],
'resize_keyboard'=>true,
])
]);

$connect->query("UPDATE `user` SET `step` = 'none',`com` = '' WHERE `id` = '$from_id' LIMIT 1");

}else{
bot('sendmessage',[
'chat_id'=>$chat_id,
 'text'=>"⚠️ کد وارد شده صحیح نیست! لطفا مجددا کد دریافتی را وارد کنید.",
]);
}
}

//======================================================
elseif($text == '🗣 دعوت دیگران'){
$dd=$_seen*1000;
$id = bot('sendphoto',[
'chat_id'=>$chat_id,
'photo' => new CURLFile("logo.png"),
'caption'=>"⚡️ با $botname به راحتی بازدید بگیرید 
🔥هر 1000 بازدید فقط و فقط $dd تومان🔥
👁‍🗨 افزایش بازدید پستهای تلگرامی
🕓 با قابلیت تنظیم سرعت و زمان 
👥 زیرمجموعه گیری و دریافت هدیه
💯 رایگان ، سریع ، بدون آفلاینی
🔐 پرداخت مطمئن و 100% امن

t.me/$usernamebot?start=$from_id",
])->result->message_id;
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"👆🏻 بنر بالا حاوی لینک دعوت شما به ربات است

🎁 در صورت خرید توسط کسانی که شما دعوت میکنید $_porsant درصد از مبلغ خریداری شده به شما هدیه داده میشود
💰 همچنین با دعوت دوستان به ربات با لینک اختصاصی خود میتوانید به ازای هر نفر $_member تومان موجودی دریافت کنید

☑️ پس با زیرمجموعه گیری براحتی میتوانید موجودی حساب خود را رایگان! افزایش دهید .

💰 موجودی حساب شما : {$user['coin']} تومان
👥 تعداد زیر مجموعه ها : {$user['member']} نفر",
'reply_to_message_id'=>$id,
]);
}
//======================================================
elseif($text == '💳 پرداخت آفلاین'){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"ℹ️ درصورتی که امکان خرید به صورت آنلاین و با رمز دوم ندارید میتوانید پرداخت را آفلاین انجام دهید

💳 میزان موجودی که نیاز دارید را به صورت کارت به کارت به حساب زیر انتقال دهید .
📲 اسکرین شات پرداخت را برای پشتیبانی ارسال کنید ، تا موجودی حساب شما توسط مدیریت افزایش یابد 👇🏻

$cardinfo",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
//========================== // key // ==============================
elseif($text == '🔐 حساب کاربری'){
$allbuy = mysqli_num_rows(mysqli_query($connect,"select `id` from `buy` WHERE `id` = '$from_id'"));
$orderseen = mysqli_num_rows(mysqli_query($connect,"select `id` from `orderseen` WHERE `id` = '$from_id'"));
$orderlike = mysqli_num_rows(mysqli_query($connect,"select `id` from `orderlike` WHERE `id` = '$from_id'"));
$orderchannel = mysqli_num_rows(mysqli_query($connect,"select `id` from `channel` WHERE `id` = '$from_id'"));
$bazdid = $_seen * 1000;
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"
👤 شناسه شما: $from_id
👥 زیرمجموعه: {$user['member']} نفر
💰 موجودی شما: {$user['coin']} تومان

‏🧮 مجموع خرید شما: $allbuy 
🔸 سطح کاربری: 🌟

<code>$botname $dateji $timeji</code>
",
'parse_mode' => 'html',
'reply_to_message_id'=>$message_id,
]);
}
//======================================================
elseif($text == '📬 پشتیبانی'){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"👮🏻 همکاران ما در خدمت شما هستن

📨 جهت ارتباط به صورت مستقیم ??🏻 $usernamesup
⚖️ کاربر گرامی، چنانچه شما از ربات $botname استفاده نمایید به منزله قبول قوانین است
 
• سعی بخش پشتیبانی بر این است که تمامی پیام های دریافتی در کمتر از ۱۲ ساعت پاسخ داده شوند، بنابراین تا زمان دریافت پاسخ صبور باشید

• لطفا پیام، سوال، پیشنهاد و یا انتقاد خود را در قالب یک پیام واحد به طور کامل ارسال کنید 👇🏻",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'sup' WHERE `id` = '$from_id' LIMIT 1");
}
//======================================================
elseif($text == '↗️ انتقال'){
if($user['coin'] > 1000){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'⤴️ برای انتقال موجودی ابتدا شناسه فرد را وارد کنید 👇🏻
🆔 شناسه کاربری هر فرد در بخش حساب کاربری وی مشخص هست',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back,
]);
$connect->query("UPDATE `user` SET `step` = 'sendid' WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ موجودی حساب شما کافی نیست , برای انتقال باید حداقل 1000 تومان موجودی داشته باشید .',
'reply_to_message_id'=>$message_id,
]);
}
//======================================================
elseif($text == '🛍 تراکنش ها'){
$order = mysqli_query($connect,"SELECT * FROM `buy` WHERE `id` = '$from_id' ORDER BY `key` DESC LIMIT 10");
if(mysqli_num_rows($order) > 0){
while($row = mysqli_fetch_assoc($order))
$result = $result."🆔 شناسه خرید : {$row['key']}\n💳 مبلغ : {$row['amount']} تومان\n📅 زمان : {$row['time']}\n━ ━ ━\n";
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"🛍 لیست ده خرید اخیر شما , این لیست تنها جهت اطلاع شماست و کاردبرد دیگری ندارد

$result",
'reply_to_message_id'=>$message_id,
 ]);
}else
 bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❌ شما تاکنون خریدی در ربات انجام نداده اید
👇🏻 برای شروع کافیست از دکمه "➕ افزایش موجودی" استفاده نمایید و مراحل را ادامه دهید .',
'reply_to_message_id'=>$message_id,
 ]);
}
//===========================// data //===========================
elseif($data == 'join'){
if(bot('getChatMember',['chat_id'=>"@$channel",'user_id'=>$fromid])->result->status != 'left'){
bot('sendmessage',[
'chat_id'=>$chatid,
'text'=>"☑️ عضویت شما در کانال تایید شد
$start",
'reply_to_message_id'=>$messageid,
 'reply_markup'=>$home
]);
}else{
bot('answercallbackquery', [
'callback_query_id' =>$callback_query_id,
'text' => "❌ هنوز داخل کانال « @$channel » عضو نیستی",
'show_alert' =>true
]);
}
}

//===========================// step //===========================
elseif ($user['step'] == 'seenamount') {
$max = floor($user['coin'] / $_seen);
if(is_numeric($text) and $text >= 10){
if($user['coin'] >= $text * $_seen){
  $limit = ($text > 70000)?'💡 تمامی سفارشها تا سقف 70,000 بازدید با توجه به سرعت انتخابی شما تکمیل خواهند شد و پس از آن بدون در نظر گرفتن سرعت تکمیل میشوند .':null;  
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⏱ سرعت انجام سفارش را لطفا تنظیم نمایید 👇🏻
❗️ جهت تغییر سرعت و زمان شروع سفارش از دکمه تنظیم سرعت میتوانید استفاده نمایید .

• سریع : هر 5 دقیقه 1000 بازدید
• متوسط : هر 5 دقیقه 500  بازدید
• آهسته : هر 5 دقیقه 100 بازدید

$limit",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$speed
]);
$connect->query("UPDATE `user` SET `step` = 'seenspeed' , `data` = '$text' WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، میزان بازدید وارد شده از موجودی شما بیشتر است

👇🏻 تعداد بازدید دلخواه را به صورت عدد بین 10 الی 100,000 وارد نمایید
👁 موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max بازدید را سفارش دهید .",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، پیام شما دارای عدد ورودی نادرست است

👇🏻 تعداد بازدید دلخواه را به صورت عدد بین 10 الی 100,000 وارد نمایید
👁 موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max بازدید را سفارش دهید .",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
}
elseif ($user['step'] == 'seenspeed') {
$speedpanel = ['حداکثر سرعت','تنظیم سرعت','سریع','متوسط','آهسته'];
if(in_array($text , $speedpanel)){
if($text == 'تنظیم سرعت'){
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'⏱ افزایش بازدید بعد از چند دقیقه شروع شود
❗️ مقدار مجاز را به صورت عدد بین  1 الی 1440 دقیقه وارد کنید 👇🏻',
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'configspeed'  WHERE `id` = '$from_id' LIMIT 1");
}else{
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⬅️ پست مورد نظر را از کانال جهت افزایش بازدید , به ربات فوروارد نمایید

⚡️ سرعت تکمیل : $text
⏱ زمان شروع سفارش : فوری
👁‍🗨 تعداد بازدید درخواستی : {$user['data']}",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
$keys = [$speedpanel[0]=>'0^0^0',$speedpanel[2]=>'0^5^1000',$speedpanel[3]=>'0^5^500',$speedpanel[4]=>'0^5^100'];
$connect->query("UPDATE `user` SET `step` = 'seenpost' , `data` = CONCAT(`data`,'^{$keys[$text]}') WHERE `id` = '$from_id' LIMIT 1");
}
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، درخواست شما دارای ورودی نادرست است
⏱ لطفا سرعت تکمیل سفارش خود را با استفاده از دکمه های زیر انتخاب نمایید 👇🏻',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$speed
]);
}
elseif ($user['step'] == 'configspeed') {
if(is_numeric($text) and $text >= 1 and $text <= 1440){
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'⏱ ارسال بازدید هر چند دقیقه یک بار انجام شود
❗️ مقدار مجاز را به صورت عدد بین  5 الی 1440 دقیقه وارد کنید 👇🏻',
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'configspeedtime' , `data` = CONCAT(`data`,'^$text')  WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، درخواست شما دارای ورودی نادرست است

⏱ افزایش بازدید بعد از چند دقیقه شروع شود
👇🏻 مقدار مجاز را به صورت عدد بین  1 الی 1440 دقیقه وارد کنید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
elseif ($user['step'] == 'configspeedtime') {
if(is_numeric($text) and $text >= 5 and $text <= 1440){
  $explode = explode('^',$user['data']);
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⏱ چه مقدار بازدید در هر $text دقیقه ارسال شود
❗️ مقدار مجاز را به صورت عدد بین  10 الی $explode[0] بازدید وارد کنید 👇🏻",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'configspeedseen' , `data` = CONCAT(`data`,'^$text') WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، درخواست شما دارای ورودی نادرست است

⏱ ارسال بازدید هر چند دقیقه یک بار انجام شود
👇🏻 مقدار مجاز را به صورت عدد بین  5 الی 1440 دقیقه وارد کنید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
elseif ($user['step'] == 'configspeedseen') {
$explode = explode('^',$user['data']);
if(is_numeric($text) and $text >= 10 and $text <= $explode[0]){
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⬅️ پست مورد نظر را از کانال جهت افزایش بازدید , به ربات فوروارد نمایید

⚡️ سرعت تکمیل : هر $explode[2] دقیقه $text بازدید
⏱ زمان شروع سفارش : بعد از $explode[1] دقیقه
👁‍🗨 تعداد بازدید درخواستی : $explode[0]",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'seenpost' , `data` = CONCAT(`data`,'^$text') WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، درخواست شما دارای ورودی نادرست است

⏱ چه مقدار بازدید در هر $explode[2] دقیقه ارسال شود
👇🏻 مقدار مجاز را به صورت عدد بین  10 الی $explode[0] بازدید وارد کنید",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
//==========================like mamad========================//
elseif ($user['step'] == 'likeamount') {
$max = floor($user['coin'] / $_like);
if(is_numeric($text) and $text >= 1){
if($user['coin'] >= $text * $_like){
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'⏱ سرعت انجام سفارش را لطفا تنظیم نمایید 👇🏻',
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$speedlike
]);
$connect->query("UPDATE `user` SET `step` = 'likespeed' , `data` = '$text' WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، میزان لایک وارد شده از موجودی شما بیشتر است

👇🏻 تعداد لایک (رأی) مورد نظر را به صورت عددی بین 1 الی 70,000 وارد کنید
👍🏻 موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max لایک را سفارش دهید",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، پیام شما دارای عدد ورودی نادرست است

👇🏻 تعداد لایک (رأی) مورد نظر را به صورت عددی بین 1 الی 70,000 وارد کنید
👍🏻 موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max لایک را سفارش دهید",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
}
elseif ($user['step'] == 'likespeed') {
$speedpanel = ['حداکثر سرعت','هر 2 دقیقه 1 لایک','هر 5 دقیقه 1 لایک','هر 15 دقیقه 1 لایک','هر 30 دقیقه 1 لایک'];
if(in_array($text , $speedpanel)){
  $amount = $user['data'] * $_like;
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⬅️ پست (نظر سنجی) مورد نظر را جهت افزایش لایک (رأی) از یک کانال عمومی به ربات فوروارد کنید

⚡️ سرعت تکمیل : $text
💰 هزینه سفارش : $amount تومان
👍🏻 تعداد درخواست لایک : {$user['data']}",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
$keys = [$speedpanel[0]=>'1',$speedpanel[1]=>'2',$speedpanel[2]=>'5',$speedpanel[3]=>'15',$speedpanel[4]=>'30'];
$connect->query("UPDATE `user` SET `step` = 'likebutton' , `data` = CONCAT(`data`,'^{$keys[$text]}') WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، درخواست شما دارای ورودی نادرست است
⏱ لطفا سرعت تکمیل سفارش خود را با استفاده از دکمه های زیر انتخاب نمایید 👇🏻',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$speedlike
]);
}
elseif ($user['step'] == 'likebutton') {
if($message->poll == true) { 
if($message->poll->is_closed == false) { $i = 0;
  foreach ($message->poll->options as $k => $v) {
$substrtext = (mb_strlen($v->text) <= 27)?$v->text:mb_substr($v->text,0,27).'...';  
$key[] = [['text'=>$v->text,'callback_data'=>"bu_{$i}_0_{$substrtext}"]];
$i ++;
  }
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'👇🏻 لطفا گزینه مورد نظر را که مایلید برای آن لایک سفارش دهید را انتخاب کنید
• انجام لایک و رأی برای پست هایی که نیاز به جوین شدن در کانال داشته باشد امکان پذیر نیست .',
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'inline_keyboard'=>$key
])
]);
 $connect->query("UPDATE `user` SET `step` = 'likebuttonn' WHERE `id` = '$from_id' LIMIT 1");

  $id = bot('ForwardMessage',[
  'chat_id'=>"@$channelorder",
  'from_chat_id'=>$from_id,
  'message_id'=>$message_id,
  ])->result->message_id;
  $connect->query("UPDATE `user` SET `data` = CONCAT(`data`,'^$channelorder^$id') WHERE `id` = '$from_id' LIMIT 1");
} else
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'️❗️ خطا ، نظر سنجی ارسال شده به اتمام رسیده است
⬅️ پست (نظر سنجی) مورد نظر را جهت افزایش لایک (رأی) از یک کانال عمومی به ربات فوروارد کنید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
} else {
  $forward_from_chat_username = $message->forward_from_chat->username;
  if($forward_from_chat_username == true){
  $key = file_get_contents("$web/lib/api/buttons.php?channel=@$forward_from_chat_username&id={$message->forward_from_message_id}");
  if($key == '0')
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'️❗️ خطا ، پست ارسال شده فاقد دکمه برای انجام سفارش است
⬅️ پست (نظر سنجی) مورد نظر را جهت افزایش لایک (رأی) از یک کانال عمومی به ربات فوروارد کنید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
else {
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'👇🏻 لطفا گزینه مورد نظر را که مایلید برای آن لایک سفارش دهید را انتخاب کنید
• انجام لایک و رأی برای پست هایی که نیاز به جوین شدن در کانال داشته باشد امکان پذیر نیست .',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$key
]);

file_put_contents("m.txt",$key);

 //$connect->query("UPDATE `user` SET `com` = '' WHERE `id` = '$from_id' LIMIT 1");
 $connect->query("UPDATE `user` SET `step` = 'likebuttonn' WHERE `id` = '$from_id' LIMIT 1");

$connect->query("UPDATE `user` SET `data` = CONCAT(`data`,'^$forward_from_chat_username^{$message->forward_from_message_id}') WHERE `id` = '$from_id' LIMIT 1");
}
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ پست ارسال شده معتبر نیست
⬅️ پست (نظر سنجی) مورد نظر را جهت افزایش لایک (رأی) از یک کانال عمومی به ربات فوروارد کنید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
}
elseif(preg_match('/^bu_(.*)/', $data) and $user['step'] == 'likebuttonn' ){		
  $connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$fromid' LIMIT 1");
  bot('deletemessage',['chat_id'=> $chatid,'message_id'=> $messageid ]);
  $explode = explode('^',$user['data']);
  $match = explode('_',$data,4);
  $link = "https://t.me/$explode[2]/$explode[3]";
$result = curl("$webapi/api.php?apikey=$apikey&type=like&count=$explode[0]&row=$match[1]&column=$match[2]&channel=$explode[2]&id=$explode[3]");
  if($result->result == 'ok'){
  $amount =$explode[0] * $_like;
$hesablike=$user[coin]-$amount;
  $connect->query("UPDATE `user` SET `coin` = `coin` - $amount WHERE `id` = '$fromid' LIMIT 1");
  $speed = ($explode[1] == 1)?'حداکثر سرعت':"هر $explode[1] دقیقه 1 لایک";
  bot('sendmessage',[
	'chat_id'=>$chatid,
    'text'=>"☑️ سفارش لایک (رأی) با شماره پیگیری {$result->order} ثبت شد .

🚀 سرعت تکمیل : حداکثر سرعت
❤️ تعداد درخواست لایک : $explode[0]
👍🏻 گزینه انتخابی برای دریافت لایک رای : $match[3]",
    'reply_markup'=>$home
            ]);		
 
            $user = mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '$chatid' LIMIT 1"));			 
        $coin10 = $user['coin'] - $amount;
        $coin20 = $user['coin'] + 0;
                                 bot('sendmessage', ['chat_id' => '@$channelorder', 'text' => "❤️ سفارش لایک جدید
                             
• کد پیگیری سفارش : {$result->order} 
• سرعت تکمیل : $speed
ایدی عددی فرد :$chatid
• هزینه سفارش :  $amount سکه
• تعداد درخواست لایک   : $explode[0]
•گزینه انتخابی : : $match[2]
تعداد سکه کاربر : $coin20
",
  ]);	
  $connect->query("UPDATE `user` SET `data` = 'none' WHERE `id` = '$fromid' LIMIT 1");

$connect->query("INSERT INTO `orderlike` (`key` , `id` , `amount` , `speed` ,`like` , `link` , `time`) VALUES ('{$result->order}' ,'$fromid' , '$amount' , '$speed' , '$explode[0]' , '$link' , '".jdate('j F')." در ساعت ".jdate('H:i:s')."')");		
}else{
bot('sendmessage',[
	'chat_id'=>$chatid,
	'text'=>'❌ خطا (کد 509)

❗️مشکلی در ثبت سفارش پیش امده است.

👈🏻 پست مورد نظر جهت دریافت لایک / رای را فروارد کنید.',
    'reply_markup'=>$back
            ]);	
  $connect->query("UPDATE `user` SET `step` = 'likebuttonn' WHERE `id` = '$fromid' LIMIT 1");
} 
}














//================================endlike======================//
elseif ($user['step'] == 'setchannel') {
$forward_from_chat_id = $message->forward_from_chat->id;
if($forward_from_chat_id == true){
$getChatMember = bot('getChatMember',['chat_id'=>$forward_from_chat_id,'user_id'=>$botid])->result;
$getchat = bot('getchat',['chat_id'=>$forward_from_chat_id])->result;
if($getchat->type == 'channel' and $getChatMember->status != 'left'){
if(mysqli_num_rows(mysqli_query($connect,"SELECT * FROM `channel` WHERE `channel` = '$forward_from_chat_id' limit 1")) <= 0){
$max = floor($user['coin'] / $_seen);
$bazdid = $_seen * 1000;
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✅ کانال شما با موفقیت ثبت شد .

👁‍ تعداد بازدید دلخواه برای پستهای جدید را به صورت عدد بین 10 الی 100,000 وارد نمایید 👇🏻

❗️ موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max بازدید را سفارش دهید .
• هزینه هر 1000 بازدید برابر با $bazdid تومان است",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'amountchannel' , `data` = '$forward_from_chat_id' WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"ک❗️ خطا ، قبلا بازدید خودکار برای این کانال را ثبت کردید
👈🏻 برای حذف کانال کافیست از دکمه '📢 کانال های ثبت شده' استفاده نمایید",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>'📢 کانال های ثبت شده']],
[['text'=>'انصراف']],
],
'resize_keyboard'=>true,
])
]);
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، ربات در کانال شما ادمین نیست

✅ برای شروع ثبت بازدید خودکار , لطفا ربات @$usernamebot را در کانالتان ادمین کنید سپس یک پست از کانال را به ربات فوروارد نمایید
<a href='$web/help.php'>👮🏻 آموزش نحوه ادمین کردن ربات</a>",
'parse_mode'=>'HTML',
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، پست ارسال شده متعبر نیست
👇🏻 پستی که ارسال کرده اید، فوروارد نشده بود، برای ثبت بازدید خودکار حتما باید یک پست از کانال را فوروارد کنید .',
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
}
elseif ($user['step'] == 'amountchannel') {
$max = floor($user['coin'] / $_seen);
if(is_numeric($text) and $text >= 10){
if($user['coin'] >= $text * $_seen){
  $limit = ($text > 70000)?'💡 تمامی سفارشها تا سقف 70,000 بازدید با توجه به سرعت انتخابی شما تکمیل خواهند شد و پس از آن بدون در نظر گرفتن سرعت تکمیل میشوند .':null;  
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⏱ سرعت انجام سفارش را لطفا تنظیم نمایید 👇🏻
❗️ جهت تغییر سرعت و زمان شروع سفارش از دکمه تنظیم سرعت میتوانید استفاده نمایید .

• سریع : هر 5 دقیقه 1000 بازدید
• متوسط : هر 5 دقیقه 500  بازدید
• آهسته : هر 5 دقیقه 100 بازدید

$limit",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$speed
]);
$connect->query("UPDATE `user` SET `step` = 'seenspeedch' , `data` = CONCAT(`data`,'^$text') WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، میزان بازدید وارد شده از موجودی شما بیشتر است

👇🏻 تعداد بازدید دلخواه را به صورت عدد بین 10 الی 100,000 وارد نمایید
👁 موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max بازدید را سفارش دهید .",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، پیام شما دارای عدد ورودی نادرست است

👇🏻 تعداد بازدید دلخواه را به صورت عدد بین 10 الی 100,000 وارد نمایید
👁 موجودی حساب شما {$user['coin']} تومان هست و میتوانید حداکثر $max بازدید را سفارش دهید .",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
}
elseif ($user['step'] == 'seenspeedch') {
$speedpanel = ['حداکثر سرعت','تنظیم سرعت','سریع','متوسط','آهسته'];
if(in_array($text , $speedpanel)){
if($text == 'تنظیم سرعت'){
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'⏱ افزایش بازدید بعد از چند دقیقه شروع شود
❗️ مقدار مجاز را به صورت عدد بین  1 الی 1440 دقیقه وارد کنید 👇🏻',
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'configspeedch'  WHERE `id` = '$from_id' LIMIT 1");
}else{
  $explode = explode('^',$user['data']);
  $title = bot('getchat',['chat_id'=>$explode[0]])->result->title;
  $amount = $explode[1] * $_seen;
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"☑️ سفارش بازدید خودکار برای کانال $title ثبت شد .

⚡️ سرعت انجام سفارش : فوری و $text
💰 هزینه سفارش هر پست : $amount تومان
👁‍🗨 تعداد بازدید درخواستی برای هر پست : $explode[1]
❌ برای لغو سفارش /del_".abs($explode[0])."",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$home
]);
$keys = [$speedpanel[0]=>'0^0^0',$speedpanel[2]=>'0^5^1000',$speedpanel[3]=>'0^5^500',$speedpanel[4]=>'0^5^100'];
$connect->query("INSERT INTO `channel` (`channel` , `id` , `speed` , `view`) VALUES ('$explode[0]' , '$from_id' , '{$keys[$text]}' , '$explode[1]')");
$connect->query("UPDATE `user` SET `step` = 'none'  WHERE `id` = '$from_id' LIMIT 1");
}
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، درخواست شما دارای ورودی نادرست است
⏱ لطفا سرعت تکمیل سفارش خود را با استفاده از دکمه های زیر انتخاب نمایید 👇🏻',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$speed
]);
}
elseif ($user['step'] == 'configspeedch') {
if(is_numeric($text) and $text >= 1 and $text <= 1440){
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'⏱ ارسال بازدید هر چند دقیقه یک بار انجام شود
❗️ مقدار مجاز را به صورت عدد بین  5 الی 1440 دقیقه وارد کنید 👇🏻',
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'configspeedtimech' , `data` = CONCAT(`data`,'^$text')  WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، درخواست شما دارای ورودی نادرست است

⏱ افزایش بازدید بعد از چند دقیقه شروع شود
👇🏻 مقدار مجاز را به صورت عدد بین  1 الی 1440 دقیقه وارد کنید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
elseif ($user['step'] == 'configspeedtimech') {
if(is_numeric($text) and $text >= 5 and $text <= 1440){
  $explode = explode('^',$user['data']);
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"⏱ چه مقدار بازدید در هر $text دقیقه ارسال شود
❗️ مقدار مجاز را به صورت عدد بین  10 الی $explode[1] بازدید وارد کنید 👇🏻",
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$back
]);
$connect->query("UPDATE `user` SET `step` = 'configspeedseench' , `data` = CONCAT(`data`,'^$text') WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، درخواست شما دارای ورودی نادرست است

⏱ ارسال بازدید هر چند دقیقه یک بار انجام شود
👇🏻 مقدار مجاز را به صورت عدد بین  5 الی 1440 دقیقه وارد کنید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
elseif ($user['step'] == 'configspeedseench') {
$explode = explode('^',$user['data']);
if(is_numeric($text) and $text >= 10 and $text <= $explode[1]){
  $start = ($explode[2] == 0)?'فوری':"بعد از $explode[2] دقیقه";
  $speed = ($explode[3] == 0)?'حداکثر سرعت':"هر $explode[3] دقیقه $text بازدید";
  $title = bot('getchat',['chat_id'=>$explode[0]])->result->title;
  $amount = $explode[1] * $_seen;
  bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"☑️ سفارش بازدید خودکار برای کانال $title ثبت شد .

⚡️ سرعت انجام سفارش : $start و $speed
💰 هزینه سفارش هر پست : $amount تومان
👁‍🗨 تعداد بازدید درخواستی برای هر پست : $explode[1]
❌ برای لغو سفارش /del_".abs($explode[0])."",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$home
]);
$connect->query("INSERT INTO `channel` (`channel` , `id` , `speed` , `view`) VALUES ('$explode[0]' , '$from_id' , '$explode[2]^$explode[3]^$text' , '$explode[1]')");
$connect->query("UPDATE `user` SET `step` = 'none'  WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"❗️ خطا ، درخواست شما دارای ورودی نادرست است

⏱ چه مقدار بازدید در هر $explode[3] دقیقه ارسال شود
👇🏻 مقدار مجاز را به صورت عدد بین  10 الی $explode[1] بازدید وارد کنید",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
//======================================================
elseif($user['step'] == 'pay' && $tc == 'private'){
if($text >= 1000 and $text <= 500000){
$coinpay = $text * $text; // قیمت فروش سکه قرار داده شود جهت محاسبه
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'⏳ در حال ساخت فاکتور پرداخت ...',
'reply_markup'=>$home
]);
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✅ فاکتور افزایش موجودی با مبلغ $text تومان با موفقیت برای شما ساخته شد

☑️ تمامی پرداخت ها به صورت اتوماتیک بوده و پس از تراکنش موفق مبلغ آن به موجودی حساب شما در ربات افزوده خواهد شد .

👇🏻 پرای پرداخت کافیست از دکمه زیر استفاده کنید",
'reply_to_message_id'=>$message_id,
'reply_markup'=>json_encode([
'inline_keyboard'=>[
[['text' => "پرداخت فاکتور بمبلغ $text تومان", 'url' => pay($text,$coinpay)]],
]])
]);
$connect->query("UPDATE user SET step = 'none' WHERE id = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، پیام شما دارای عدد ورودی نادرست است
👇🏻 برای افزایش موجودی حساب مبلغ موردنظر خود را به تومان وارد نمایید

💡 توجه کنید که مبلغ را به عدد وارد کنید و حداقل میتوانید 1000 و حداکثر 500000 تومان حساب خود را شارژ کنید',
'reply_to_message_id'=>$message_id,
  ]);
}
elseif($user['step'] == 'sendid'){
if(mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '$text' LIMIT 1")) == true and $text != $from_id){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"👇🏻 مبلغ مورد نظر جهت انتقال را به تومان وارد نمایید

👈🏻 حداقل مبلغ قابل انتقال 100 تومان است
💰 موجودی حساب شما {$user['coin']} تومان است",
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
 $connect->query("UPDATE `user` SET `step` = 'sendcoin' , `data` = '$text' WHERE `id` = '$from_id' LIMIT 1");
}else
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'❗️ خطا ، کاربر مورد نظر یافت نشد

⤴️ برای انتقال موجودی ابتدا شناسه فرد را وارد کنید 👇🏻
🆔 شناسه کاربری هر فرد در بخش حساب کاربری وی مشخص هست',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
}
elseif($user['step'] == 'sup'){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'✅ پیام شما با موفقیت ارسال شد منتظر پاسخ پشتیبانی باشید',
'reply_to_message_id'=>$message_id,
'reply_markup'=>$back
]);
bot('ForwardMessage',[
'chat_id'=>$admin[0],
'from_chat_id'=>$chat_id,
'message_id'=>$message_id
]);
}

//====================================
elseif ($user['step'] == 'sendcoiinall') {
 bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✔️ تعداد $text سکه برای همه در صف ارسال قرار گرفت ",
 ]);
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
$connect->query("UPDATE `sendall` SET `step` = 'sendcoinall' , `text` = '$text' , `chat` = '$chat_id' LIMIT 1");
}


//===========================// panel admin //===========================
elseif($text == '/panel' || $text == '👤 پنل مدیریت 👤' and $tc == 'private' and in_array($from_id,$admin)){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"
☑️ مدیر گرامی شما وارد پنل مدیریت شدید !
",
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>"📍 آمار ربات"],['text'=>"📍 افزایش موجودی"]],
[['text'=>"📍 ارسال به کاربران"],['text'=>"📍 فروارد به کاربران"]],
[['text'=>"📍 شارژ پنل"],['text'=>"📍سکه همگانی"]],
[['text'=>"📍حذف مسدود کردن"],['text'=>"📍 مسدود کردن"]],
[['text'=>"📍 ربات روشن"],['text'=>"📍 ربات خاموش"]],
[['text'=>"بازگشت"]],
],
  'resize_keyboard'=>true
  ])
]);
}
//======================================================
elseif($text == 'برگشت 🔙' and $tc == 'private' and in_array($from_id,$admin)){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"
✅ مدیر گرامی شما به پنل بازگشتید !
",
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>"📍 آمار ربات"],['text'=>"📍 افزایش موجودی"]],
[['text'=>"📍 ارسال به کاربران"],['text'=>"📍 فروارد به کاربران"]],
[['text'=>"📍 شارژ پنل"],['text'=>"📍سکه همگانی"]],
[['text'=>"📍حذف مسدود کردن"],['text'=>"📍 مسدود کردن"]],
[['text'=>"📍 ربات روشن شد"],['text'=>"📍 ربات خاموش شد"]],
[['text'=>"بازگشت"]],
],
  'resize_keyboard'=>true
  ])
]);
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
}
//======================================================
elseif($text == '📍 آمار ربات' and $tc == 'private' and in_array($from_id,$admin)){
$alluser = mysqli_num_rows(mysqli_query($connect,"select `id` from `user`"));
$allorderseen = mysqli_num_rows(mysqli_query($connect,"select `id` from `orderseen`"));
$allorderlike = mysqli_num_rows(mysqli_query($connect,"select `id` from `orderlike`"));
$allorderchannel = mysqli_num_rows(mysqli_query($connect,"select `id` from `channel`"));
$allbuy = mysqli_num_rows(mysqli_query($connect,"select `id` from `buy`"));
$allblock = mysqli_num_rows(mysqli_query($connect,"select `id` from `block`"));
$result = curl("$webapi/api.php?apikey=$apikey&type=amount");
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"🤖 آمار ربات شما

📍 تعداد کاربران : $alluser
📍 موجودی پنل : {$result->amount}
📍 تعداد سفارشات بازدید : $allorderseen
📍 تعداد کانال های ثبت شده : $allorderchannel
📍 تعداد خرید ها : $allbuy
📍 تعداد مسدود ها : $allblock",
]);
}
//======================================================
elseif ($text == '📍 ارسال به کاربران' and $tc == 'private' and in_array($from_id,$admin)) {
 bot('sendmessage',[
 'chat_id'=>$chat_id,
 'text'=>"📍 لطفا متن یا رسانه خود را ارسال کنید [میتواند شامل عکس باشد]  همچنین میتوانید رسانه را همراه با کشپن [متن چسپیده به رسانه ارسال کنید]",
 'reply_markup'=>json_encode([
 'keyboard'=>[
 [['text'=>"برگشت 🔙"]]
],
'resize_keyboard'=>true
  ])
  ]);
$connect->query("UPDATE `user` SET `step` = 'sendtoall' WHERE `id` = '$from_id' LIMIT 1");
}
elseif ($text == '📍 فروارد به کاربران' and $tc == 'private' and in_array($from_id,$admin)){
 bot('sendmessage',[
 'chat_id'=>$chat_id,
 'text'=>"📍 لطفا پیام خود را فوروارد کنید [پیام فوروارد شده میتوانید از شخص یا کانال باشد]",
 'reply_markup'=>json_encode([
 'keyboard'=>[
 [['text'=>"برگشت 🔙"]]
],
'resize_keyboard'=>true
  ])
  ]);
$connect->query("UPDATE `user` SET `step` = 'fortoall' WHERE `id` = '$from_id' LIMIT 1");
}
//======================================================
elseif ($text == '📍 شارژ پنل' and $tc == 'private' and in_array($from_id,$admin)){
$result = curl("$webapi/api.php?apikey=$apikey&type=amount");
 bot('sendmessage',[
 'chat_id'=>$chat_id,
  'text'=>"📍 موجودی پنل شما در حال حاظر {$result->amount} تومان است
📍 مبلغ مورد نظر را جهت شارژ مجدد وارد کنید",
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>"برگشت 🔙"]]
 ],
  'resize_keyboard'=>true
])
  ]);
$connect->query("UPDATE `user` SET `step` = 'charge' WHERE `id` = '$from_id' LIMIT 1");
}
//======================================================
elseif ($text == '📍 افزایش موجودی' and $tc == 'private' and in_array($from_id,$admin)){
 bot('sendmessage',[
 'chat_id'=>$chat_id,
 'text'=>"📍 لطفا در خط اول ایدی فرد و در خط دوم میزان موجودی را وارد کنید
📍 اگر میخواهید موجودی فر را کم کنید از علامت - منفی استفاده کنید
267785153
20",
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>"برگشت 🔙"]]
 ],
  'resize_keyboard'=>true
])
  ]);
$connect->query("UPDATE `user` SET `step` = 'sendadmin' WHERE `id` = '$from_id' LIMIT 1");
}
elseif ($text == '📍 مسدود کردن' and $tc == 'private' and in_array($from_id,$admin)){
 bot('sendmessage',[
 'chat_id'=>$chat_id,
 'text'=>"📍 لطفا شناسه کاربری فرد را ارسال کنید",
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>"برگشت 🔙"]]
 ],
  'resize_keyboard'=>true
])
  ]);
$connect->query("UPDATE `user` SET `step` = 'block' WHERE `id` = '$from_id' LIMIT 1");
}
elseif ($text == '📍حذف مسدود کردن' and $tc == 'private' and in_array($from_id,$admin)){
 bot('sendmessage',[
 'chat_id'=>$chat_id,
 'text'=>"📍 لطفا شناسه کاربری فرد را ارسال کنید",
'reply_markup'=>json_encode([
'keyboard'=>[
[['text'=>"برگشت 🔙"]]
 ],
  'resize_keyboard'=>true
])
  ]);
$connect->query("UPDATE `user` SET `step` = 'unblock' WHERE `id` = '$from_id' LIMIT 1");
}
//===========================// admin step //===========================
elseif($user['step'] == 'charge') {
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✅ فاکتور افزایش موجودی شما :
 
$webapi/api.php?type=charge&amount=$text&apikey=$apikey",
]);
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
}
//=====================
elseif($user['step'] == 'block' && $tc == 'private') {
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✅ فرد با موفقیت مسدود شد",
 ]);
$connect->query("INSERT INTO `block` (`id`) VALUES ('$text')");
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
}
elseif($user['step'] == 'unblock' && $tc == 'private') {
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✅ فرد با موفقیت لغو مسدود شد",
 ]);
$connect->query("DELETE FROM `block` WHERE `id` = '$text'");
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
}
//========================
elseif ($text == '📍سکه همگانی' and $tc == 'private' and in_array($from_id,$admin)){
 bot('sendmessage',[
 'chat_id'=>$chat_id,
 'text'=>"📍 تعداد سکه ای که به ارسال شود را ارسال کنید :",
 'reply_markup'=>json_encode([
 'keyboard'=>[
 [['text'=>"برگشت 🔙"]]
],
'resize_keyboard'=>true
  ])
  ]);
$connect->query("UPDATE `user` SET `step` = 'sendcoiinall' WHERE `id` = '$from_id' LIMIT 1");
}
//========================
elseif($user['step'] == 'sendadmin') {
$all = explode("\n", $text);
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"انتقال موجودی با موفقیت انجام شد ✅",
 ]);
$user = mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '$all[0]' LIMIT 1")); 
$coin = $user['coin'] + $all[1] ;
bot('sendmessage',[
'chat_id'=>$all[0],
'text'=>"✅ $all[1] تومان موجودی از طرف مدیریت ربات برای شما انتقال داده شد .
💰 موجودی جدید شما : $coin تومان",
]);
$connect->query("UPDATE `user` SET `coin` = '$coin' WHERE `id` = '$all[0]' LIMIT 1");
}
elseif ($user['step'] == 'sendtoall') {
$photo = $message->photo[count($message->photo)-1]->file_id;
$caption = $update->message->caption;
 bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✔️ پیام شما با موفقیت برای ارسال همگانی تنظیم شد",
 ]);
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
$connect->query("UPDATE `sendall` SET step = 'send' , `text` = '$text$caption' , `chat` = '$photo' LIMIT 1");
}
elseif ($user['step'] == 'fortoall') {
 bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>"✔️ پیام شما با موفقیت به عنوان فوروارد همگانی تنظیم شد",
 ]);
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
$connect->query("UPDATE `sendall` SET `step` = 'forward' , `text` = '$message_id' , `chat` = '$chat_id' LIMIT 1");
}
//===========================// answer //===========================
elseif($update->message->text && $update->message->reply_to_message && $from_id == $admin[0]){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>'☑️ پاسخ شما برای فرد ارسال شد'
]);
bot('sendmessage',[
'chat_id'=>$update->message->reply_to_message->forward_from->id,
'text'=>"👮🏻 پاسخ پشتیبان برای شما : $text",
]);
}
//===========================// channel //===========================
elseif($channel_post and $user['channel'] == true){
  $amount = $user['view'] * $_seen;
  if(mysqli_fetch_assoc(mysqli_query($connect,"SELECT * FROM `user` WHERE `id` = '{$user['id']}' LIMIT 1"))['coin'] >= $amount){
  if($channel_post->audio != true){
  $id = bot('ForwardMessage',[
  'chat_id'=>"@$channelorder",
  'from_chat_id'=>$channel_post_chat_id,
  'message_id'=>$channel_post_message_id,
  ])->result->message_id;
  } else {
  $id = $channel_post_message_id;
  $channelorder = $channel_post_chat_username;
  }  
  $link = "https://t.me/$channelorder/$id";
  $explode = explode('^',$user['speed']);  
    $result = curl("$webapi/api.php?apikey=$apikey&type=view&count={$user['view']}&start=$explode[0]&speed=$explode[1]&period=$explode[0]&channel=$channelorder&id=$id");
  if($result->result == 'ok'){
  $connect->query("UPDATE `user` SET `coin` = `coin` - $amount WHERE `id` = '{$user['id']}' LIMIT 1");
  $startorder = ($explode[0] == 0)?'فوری':"بعد از $explode[0] دقیقه";
  $speed = ($explode[1] == 0)?'حداکثر سرعت':"هر $explode[1] دقیقه $explode[2] بازدید";
  bot('sendmessage',[
'chat_id'=>$user['id'],
'text'=>"☑️ سفارش بازدیدخودکار با شماره پیگیری {$result->order} ثبت شد .

⚡️ سرعت تکمیل : $startorder و $speed 
💰 هزینه سفارش : $amount تومان
👁‍🗨 تعداد بازدید درخواستی : {$user['view']}
👁 بازدید فعلی : {$result->seenstart} بازدید",
]);
  $connect->query("INSERT INTO `orderseen` (`key` , `id` , `amount` , `speed` , `view` , `link` , `time`) VALUES ('{$result->order}' ,'{$user['id']}' , '$amount' , '$speed' , '{$user['view']}' , '$link' , '".jdate('j F')." در ساعت ".jdate('H:i:s')."')");
}else
bot('sendmessage',[
'chat_id'=>$user['id'],
'text'=>'
$channelorder
$id

❗️ خطا ، پست شما نامعتبر است یا مشکلی در انجام سفارش ایجاد شده است

👈🏻 توجه کنید که امکان ثبت سفارش بازدید خودکار برای پست موسیقی در کانال های خصوصی امکان پذیر نیست 
👮🏻 در صورت بروز هرگونه مشکل و یا انجام نشدن سفارش کافیست با پشتیبانی در تماس باشید .',
]);
}else{
$title = bot('getchat',['chat_id'=>$channel_post_chat_id])->result->title;
bot('sendmessage',[
'chat_id'=>$user['id'],
'text'=>"❗️ سفارش بازدید خودکار برای کانال $title انجام نشد .

✅ برای انجام سفارش باید حداقل $amount تومان موجودی داشته باشید .
❌ برای حذف کانال /del_".abs($channel_post_chat_id)."",
]);
}
}
//===========================// main //===========================
elseif($message){
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>$start,
'reply_to_message_id'=>$message_id,
 'reply_markup'=>$home
]);
if($user['id'] != true) {
bot('sendmessage',[
'chat_id'=>$chat_id,
'text'=>$gift,
]);
$connect->query("INSERT INTO `user` (`id` , `coin`) VALUES ('$from_id' , '$_gift')");
}
$connect->query("UPDATE `user` SET `step` = 'none' WHERE `id` = '$from_id' LIMIT 1");
}
?>